JavascriptLibraryHandlerInterceptor (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.filters
[Java] Class JavascriptLibraryHandlerInterceptor

    java.lang.Object
      org.springframework.web.servlet.handler.HandlerInterceptorAdapter
          org.codehaus.groovy.grails.web.filters.JavascriptLibraryHandlerInterceptor

    public class JavascriptLibraryHandlerInterceptor
    extends org.springframework.web.servlet.handler.HandlerInterceptorAdapter

Sets up the Javascript library to use based on configuration.

Authors:
  Burt Beckwith

Since:
  2.3

Field Summary
`protected java.lang.String` | `library`
`protected org.slf4j.Logger` | `log`

Constructor Summary
`JavascriptLibraryHandlerInterceptor(GrailsApplication application)`

Method Summary
`boolean` | `preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)`

Methods inherited from class org.springframework.web.servlet.handler.HandlerInterceptorAdapter
org.springframework.web.servlet.handler.HandlerInterceptorAdapter#afterConcurrentHandlingStarted(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#preHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#postHandle(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, org.springframework.web.servlet.ModelAndView), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#afterCompletion(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse, java.lang.Object, java.lang.Exception), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(long, int), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(long), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#wait(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#equals(java.lang.Object), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#toString(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#hashCode(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#getClass(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#notify(), org.springframework.web.servlet.handler.HandlerInterceptorAdapter#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### library

    protected java.lang.String library

### log

    protected org.slf4j.Logger log

Constructor Detail

### JavascriptLibraryHandlerInterceptor

    public JavascriptLibraryHandlerInterceptor(GrailsApplication application)

Method Detail

### preHandle

    @java.lang.Override
    public boolean preHandle(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.Object handler)

Groovy Documentation